<!-- <ion-header>
  <ion-toolbar class="color-black">
    <ion-icon style="zoom:1.5" color="secondary" name="arrow-back" (click)="back()" slot="start"></ion-icon>
    <ion-title color="secondary">Import Contacts</ion-title>
    <ion-icon slot="end" size="large" color="secondary" name="home" routerLink="/tabs/tab1"></ion-icon>
  </ion-toolbar>
</ion-header> -->
<header title="Import Contacts"></header>
<ion-content>
  
  <!-- <ion-button id="square" *ngIf="!isCheck" (click)="loadContacts()">Load Contact</ion-button> -->
  <div *ngIf="!isCheck" class="vertically_align_center">
    <ion-grid>
      <ion-row>
        <ion-col size="12" class="ion-text-center" (click)="loadContacts()">
            <ion-icon class="icon_style" name="code-download-outline" #loadingIcon></ion-icon>
        </ion-col>
        <ion-col size="12" class="ion-text-center">
          <ion-label class="heading_font"><strong>Load Contacts</strong></ion-label>
          <p>Click on above <ion-icon style="font-size: 22px;" name="code-download-outline"></ion-icon> to load contacts from your phone in a list and perform selection for importing.</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  <!-- <ion-list *ngIf="isCheck">
    <ion-item>
      <ion-label><strong>Select All</strong></ion-label>
      <ion-checkbox slot="start" 
      [(ngModel)]="masterCheck"
      [indeterminate]="isIndeterminate"
        (click)="checkMaster($event)"></ion-checkbox>
    </ion-item>
  </ion-list>
  <ion-list *ngIf="isCheck">
    <ion-item *ngFor="let item of checkBoxList">
      <ion-row>
        <ion-col size="12"><strong>{{item.value}}</strong></ion-col>
        <ion-col size="12">234213412</ion-col>
        <ion-col size="12">sagar@gmail.com</ion-col>
      </ion-row>
      <ion-checkbox slot="start" 
      [(ngModel)]="item.isChecked" 
      (ionChange)="checkEvent()"></ion-checkbox>
    </ion-item>
  </ion-list> -->

  <ion-searchbar *ngIf="isCheck" type="text" debounce="500" 
  placeholder="Search by Name"
  (ionClear)="claerSearcher()"
  (ionChange)="getItems($event)"></ion-searchbar>
  <!-- <ion-list *ngIf="isItemAvailable">
      <ion-item *ngFor="let item of items">{{ item }}</ion-item>
  </ion-list> -->

  <ion-list *ngIf="isCheck">
    <ion-item>
      <ion-label><strong>Select All</strong></ion-label>
      <ion-checkbox slot="start" [(ngModel)]="masterCheck" [indeterminate]="isIndeterminate"
        (click)="checkMaster()"></ion-checkbox>
    </ion-item>
  </ion-list>

  <ion-virtual-scroll *ngIf="isCheck" [items]="myContacts">
    <ion-item *virtualItem="let contact">
      <ion-row>
        <ion-col *ngIf="contact._objectInstance?.displayName || contact._objectInstance?.name?.givenName || contact._objectInstance?.name?.familyName" size="12">
          <strong>{{contact._objectInstance?.displayName || contact._objectInstance?.name?.givenName || contact._objectInstance?.name?.familyName}}</strong></ion-col>
        <ion-col *ngIf="contact._objectInstance?.phoneNumbers" size="12">
          {{contact._objectInstance?.phoneNumbers[0]?.value}}</ion-col>
        <ion-col *ngIf="contact._objectInstance?.emails" size="12">{{contact._objectInstance?.emails[0]?.value}}</ion-col>
        <ion-col *ngIf="contact._objectInstance?.ims" size="12">{{contact._objectInstance?.ims[0]?.value}}</ion-col>
      </ion-row>
      <ion-checkbox slot="start" [(ngModel)]="contact.isChecked" (ionChange)="checkEvent()"></ion-checkbox>
    </ion-item>
  </ion-virtual-scroll>
  <!-- <ion-list *ngIf="isCheck">
    <ion-item *ngFor="let contact of myContacts">
        <ion-row>
          <ion-col *ngIf="contact._objectInstance?.displayName || contact._objectInstance?.name?.givenName || contact._objectInstance?.name?.familyName" size="12">
            <strong>{{contact._objectInstance?.displayName || contact._objectInstance?.name?.givenName || contact._objectInstance?.name?.familyName}}</strong></ion-col>
          <ion-col *ngIf="contact._objectInstance?.phoneNumbers" size="12">
            {{contact._objectInstance?.phoneNumbers[0]?.value}}</ion-col>
          <ion-col *ngIf="contact._objectInstance?.emails" size="12">{{contact._objectInstance?.emails[0]?.value}}</ion-col>
          <ion-col *ngIf="contact._objectInstance?.ims" size="12">{{contact._objectInstance?.ims[0]?.value}}</ion-col>
        </ion-row>
        <ion-checkbox slot="start" [(ngModel)]="contact.isChecked" (ionChange)="checkEvent()"></ion-checkbox>
    </ion-item>
  </ion-list> -->

  <!-- INFINITE SCROLL -->
  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadMoreData(1, $event)" [disabled]="result.length > array_index">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more items...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
<ion-footer>
  <ion-row *ngIf="isCheck" padding-vertical>
    <ion-col margin-left margin-right no-padding>
      <ion-button expand="full" (click)="selectGroup()">Next</ion-button>
    </ion-col>
  </ion-row>
</ion-footer>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>